{% load static %}

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
        <title>
            {% block title %}
            {% endblock title %}
        </title>
    </head>
    <body class="container">
        <header>
            <p style="text-align:start; font-size: 20px; font-weight: bold; padding-top: 20px;">Welcome! {{ user.username }}</p>
            <nav class="navbar navbar-expand-lg bg-body-tertiary">
                {% if user.is_authenticated %}
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li class="nav-item">
                        <a class="nav-link active" href="{% url 'go_back' %}">Go Back</a>
                    </li>
                    <li >
                        <a class="nav-link active" href="{% url 'list_projects' %}">Main Dashboard</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link active" href="{% url 'show_my_tasks' %}">My Tasks</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'list_projects' %}">My Projects</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'logout' %}">Logout</a>
                    </li>
                {% else %}
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'login' %}">Login</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'signup' %}">Signup</a>
                    </li>
                {% endif %}
                </ul>
            </nav>
        </header>
        {% block content %}
        {% endblock content %}
        <footer class="bg-secondary text-black font-weight-bold p-3 mt-5 fixed-bottom text-center" style="font-weight:900;">
            <p>Made by Howard Chung | Next Chapter August 2023</p>
        </footer>
    </body>
</html>
